{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "nbt": "{Tags:[titans_gambit]}"
            }
          }
        ],
        "items": [
          {
            "predicates": {
              "minecraft:custom_data": "{devil_deal:tag}"
            }
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "survivalplus:giant_deal/deal"
  }
}